USN-4680-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4680-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4680-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4680-1
Related
  • CVE-2019-19770
  • CVE-2020-0423
  • CVE-2020-10135
  • CVE-2020-25656
  • CVE-2020-25668
  • CVE-2020-25705
  • CVE-2020-27675
  • CVE-2020-27777
  • CVE-2020-28974
Published
2021-01-06T03:41:27.297198Z
Modified
2021-01-06T03:41:27.297198Z
Summary
linux, linux-aws, linux-aws-hwe, linux-azure, linux-azure-4.15, linux-gcp, linux-gcp-4.15, linux-gke-4.15, linux-hwe, linux-kvm, linux-oracle, linux-raspi2, linux-snapdragon vulnerabilities
Details

It was discovered that debugfs in the Linux kernel as used by blktrace contained a use-after-free in some situations. A privileged local attacker could possibly use this to cause a denial of service (system crash). (CVE-2019-19770)

It was discovered that a race condition existed in the binder IPC implementation in the Linux kernel, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2020-0423)

Daniele Antonioli, Nils Ole Tippenhauer, and Kasper Rasmussen discovered that legacy pairing and secure-connections pairing authentication in the Bluetooth protocol could allow an unauthenticated user to complete authentication without pairing credentials via adjacent access. A physically proximate attacker could use this to impersonate a previously paired Bluetooth device. (CVE-2020-10135)

It was discovered that the console keyboard driver in the Linux kernel contained a race condition. A local attacker could use this to expose sensitive information (kernel memory). (CVE-2020-25656)

Minh Yuan discovered that the tty driver in the Linux kernel contained race conditions when handling fonts. A local attacker could possibly use this to expose sensitive information (kernel memory). (CVE-2020-25668)

Keyu Man discovered that the ICMP global rate limiter in the Linux kernel could be used to assist in scanning open UDP ports. A remote attacker could use to facilitate attacks on UDP based services that depend on source port randomization. (CVE-2020-25705)

Jinoh Kang discovered that the Xen event channel infrastructure in the Linux kernel contained a race condition. An attacker in guest could possibly use this to cause a denial of service (dom0 crash). (CVE-2020-27675)

Daniel Axtens discovered that PowerPC RTAS implementation in the Linux kernel did not properly restrict memory accesses in some situations. A privileged local attacker could use this to arbitrarily modify kernel memory, potentially bypassing kernel lockdown restrictions. (CVE-2020-27777)

Minh Yuan discovered that the framebuffer console driver in the Linux kernel did not properly handle fonts in some conditions. A local attacker could use this to cause a denial of service (system crash) or possibly expose sensitive information (kernel memory). (CVE-2020-28974)

References

Affected packages

Ubuntu:Pro:14.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1103.114~14.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-image-azure": "4.15.0.1103.78",
            "linux-image-4.15.0-1103-azure": "4.15.0-1103.114~14.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / linux-gcp-4.15

Package

Name
linux-gcp-4.15

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1091.104

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1091-gcp": "4.15.0-1091.104",
            "linux-image-gcp-lts-18.04": "4.15.0.1091.109"
        }
    ]
}

Ubuntu:18.04:LTS / linux-gke-4.15

Package

Name
linux-gke-4.15

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1077.82

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1077-gke": "4.15.0-1077.82",
            "linux-image-gke-4.15": "4.15.0.1077.81",
            "linux-image-gke": "4.15.0.1077.81"
        }
    ]
}

Ubuntu:18.04:LTS / linux-kvm

Package

Name
linux-kvm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1082.84

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1082-kvm": "4.15.0-1082.84",
            "linux-image-kvm": "4.15.0.1082.78"
        }
    ]
}

Ubuntu:18.04:LTS / linux-snapdragon

Package

Name
linux-snapdragon

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1094.103

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-snapdragon": "4.15.0.1094.97",
            "linux-image-4.15.0-1094-snapdragon": "4.15.0-1094.103"
        }
    ]
}

Ubuntu:18.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1091.96

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-aws-lts-18.04": "4.15.0.1091.93",
            "linux-image-4.15.0-1091-aws": "4.15.0-1091.96"
        }
    ]
}

Ubuntu:18.04:LTS / linux-raspi2

Package

Name
linux-raspi2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1077.82

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-raspi2": "4.15.0.1077.74",
            "linux-image-4.15.0-1077-raspi2": "4.15.0-1077.82"
        }
    ]
}

Ubuntu:18.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1062.68

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1062-oracle": "4.15.0-1062.68",
            "linux-image-oracle-lts-18.04": "4.15.0.1062.72"
        }
    ]
}

Ubuntu:18.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-129.132

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-generic-hwe-16.04-edge": "4.15.0.129.116",
            "linux-image-lowlatency-hwe-16.04": "4.15.0.129.116",
            "linux-image-4.15.0-129-lowlatency": "4.15.0-129.132",
            "linux-image-virtual-hwe-16.04-edge": "4.15.0.129.116",
            "linux-image-generic-hwe-16.04": "4.15.0.129.116",
            "linux-image-generic-lpae-hwe-16.04": "4.15.0.129.116",
            "linux-image-lowlatency": "4.15.0.129.116",
            "linux-image-generic-lpae-hwe-16.04-edge": "4.15.0.129.116",
            "linux-image-generic": "4.15.0.129.116",
            "linux-image-lowlatency-hwe-16.04-edge": "4.15.0.129.116",
            "linux-image-4.15.0-129-generic": "4.15.0-129.132",
            "linux-image-virtual": "4.15.0.129.116",
            "linux-image-4.15.0-129-generic-lpae": "4.15.0-129.132",
            "linux-image-generic-lpae": "4.15.0.129.116",
            "linux-image-virtual-hwe-16.04": "4.15.0.129.116"
        }
    ]
}

Ubuntu:18.04:LTS / linux-azure-4.15

Package

Name
linux-azure-4.15

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1103.114

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1103-azure": "4.15.0-1103.114",
            "linux-image-azure-lts-18.04": "4.15.0.1103.76"
        }
    ]
}

Ubuntu:16.04:LTS / linux-aws-hwe

Package

Name
linux-aws-hwe

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1091.96~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-aws-hwe": "4.15.0.1091.85",
            "linux-image-4.15.0-1091-aws": "4.15.0-1091.96~16.04.1"
        }
    ]
}

Ubuntu:16.04:LTS / linux-hwe

Package

Name
linux-hwe

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-129.132~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-129-lowlatency": "4.15.0-129.132~16.04.1",
            "linux-image-lowlatency-hwe-16.04": "4.15.0.129.128",
            "linux-image-virtual-hwe-16.04-edge": "4.15.0.129.128",
            "linux-image-generic-hwe-16.04": "4.15.0.129.128",
            "linux-image-oem": "4.15.0.129.128",
            "linux-image-generic-lpae-hwe-16.04-edge": "4.15.0.129.128",
            "linux-image-4.15.0-129-generic": "4.15.0-129.132~16.04.1",
            "linux-image-generic-lpae-hwe-16.04": "4.15.0.129.128",
            "linux-image-lowlatency-hwe-16.04-edge": "4.15.0.129.128",
            "linux-image-4.15.0-129-generic-lpae": "4.15.0-129.132~16.04.1",
            "linux-image-generic-hwe-16.04-edge": "4.15.0.129.128",
            "linux-image-virtual-hwe-16.04": "4.15.0.129.128"
        }
    ]
}

Ubuntu:16.04:LTS / linux-gcp

Package

Name
linux-gcp

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1091.104~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1091-gcp": "4.15.0-1091.104~16.04.1",
            "linux-image-gke": "4.15.0.1091.92",
            "linux-image-gcp": "4.15.0.1091.92"
        }
    ]
}

Ubuntu:16.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1062.68~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1062-oracle": "4.15.0-1062.68~16.04.1",
            "linux-image-oracle": "4.15.0.1062.51"
        }
    ]
}

Ubuntu:16.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1103.114~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-azure": "4.15.0.1103.96",
            "linux-image-azure-edge": "4.15.0.1103.96",
            "linux-image-4.15.0-1103-azure": "4.15.0-1103.114~16.04.1"
        }
    ]
}